/******************************************************************************
 *
 * $RCSfile: $
 * $Revision: $
 *
 * This module defines some regularly used typedefs
 *
 *****************************************************************************/

#ifndef INC_TYPES_H
#define INC_TYPES_H

/*  typedefs are here  */
/* These types are assumed as 16-bit or larger integer */
typedef signed int		INT;
typedef unsigned int	UINT;
/* These types are assumed as 8-bit integer */
typedef unsigned char       BYTE;
typedef unsigned char       uint8_t;
typedef   signed char        int8_t;
/* These types are assumed as 16-bit integer */
typedef unsigned short      WORD;
typedef unsigned short     uint16_t;
typedef   signed short      int16_t;
/* These types are assumed as 32-bit integer */
typedef unsigned long      uint32_t;
typedef unsigned long       DWORD;
typedef   signed long       int32_t;
typedef unsigned long long uint64_t;
typedef   signed long long  int64_t;

typedef enum {FALSE, TRUE}  BOOL;

#endif
